[Upstream] Initial Print Preview shows more than content area importing Excel .xls

Bug #897101 reported by karaluh on 2011-11-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
LibreOffice
Confirmed
Low
libreoffice (Ubuntu)
Medium
Unassigned

Bug Description

1) lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

3) What is expected to happen in LibreOffice Calc via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610867/+files/WW%20stan%20na%2021.11.2011%20%282%29.xls -O testcase.xls && localc -nologo testcase.xls

File -> Print Preview is it looks like the Excel screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610889/+files/Excel.jpg .

4) What happens instead is it looks different in LO screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610890/+files/Libreoffice.png .

WORKAROUND: Highlight Q340 through A1 -> File -> Print -> click radio button "Selected cells".

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: libreoffice-calc 1:3.4.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-14.23-generic 3.0.9
Uname: Linux 3.0.0-14-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Mon Nov 28 09:05:06 2011
ProcEnviron:
 LANGUAGE=pl_PL:pl:en_GB:en
 PATH=(custom, user)
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: Upgraded to oneiric on 2011-10-18 (40 days ago)

karaluh (karaluh) wrote :
karaluh (karaluh) wrote :

Excel screenshot

karaluh (karaluh) wrote :

Calc screenshot

karaluh, thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at http://wiki.documentfoundation.org/BugReport . If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

description: updated
summary: - Incorrect printouts from calc
+ Initial Print Preview shows more than content area importing Excel .xls
Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in df-libreoffice:
status: New → Incomplete

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101

1) lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Calc via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610867/+files/WW%20stan%20na%2021.11.2011%20%282%29.xls -O testcase.xls && localc -nologo testcase.xls

File -> Print Preview is it looks like the Excel screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610889/+files/Excel.jpg .

4) What happens instead is it looks different in LO screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610890/+files/Libreoffice.png .

WORKAROUND: Highlight Q340 through A1 -> File -> Print -> click radio button "Selected cells".

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101

1) lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Calc via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610867/+files/WW%20stan%20na%2021.11.2011%20%282%29.xls -O testcase.xls && localc -nologo testcase.xls

File -> Print Preview is it looks like the Excel screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610889/+files/Excel.jpg .

4) What happens instead is it looks different in LO screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610890/+files/Libreoffice.png .

WORKAROUND: Highlight Q340 through A1 -> File -> Print -> click radio button "Selected cells".

Changed in df-libreoffice:
importance: Undecided → Unknown
status: Incomplete → Unknown
summary: - Initial Print Preview shows more than content area importing Excel .xls
+ [Upstream] Initial Print Preview shows more than content area importing
+ Excel .xls

I confirm.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 56019dcb79475606952a954fe732a3109441ffec
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-30_07:27:11

I confirm.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 56019dcb79475606952a954fe732a3109441ffec
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-30_07:27:11

Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug

3. Leave a comment with your results.

4a. If the bug was present with 3.3 - set version to "inherited from OOo";

4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice
(5.1.6 or 5.2.3 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and
your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not
appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3
. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103

This release of Ubuntu is no longer receiving maintenance updates. If this is still an issue on a maintained version of Ubuntu please let us know.

Changed in libreoffice (Ubuntu):
status: Triaged → Incomplete
Changed in df-libreoffice:
importance: Low → Unknown
status: Confirmed → Unknown
Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed

Synchronising bug status with upstream.

Changed in libreoffice (Ubuntu):
status: Incomplete → Confirmed

Stil in LO 6.4 I see all content on a single page in Preview. Also in LO 3.3. Windows. Could be inherited from OO 3.3.
Excel printout is from A1 to R340. So it's 4 pages.
Calc printout is up to column IV so all is a single page.
Reason is row 3 that's all merged up to the end in IV.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.